Transfers

List social pay orders

GET/v1/social-pay/order

Returns all social payment orders for the authenticated user, including both sent and received orders with their current status and status history.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

List social pay orders
curl --request GET \  --url 'https://gateway.bit2me.com/v1/social-pay/order'
[  {    "amount": "0.01",    "concept": "A concept of pay",    "createdAt": "2024-01-01T00:00:00.000Z",    "currency": "BTC",    "email": "user@example.com",    "expiryDate": "2024-01-08T00:00:00.000Z",    "note": "A note in the pay",    "orderId": "304809b8-0a04-4f88-af75-069ab4e5a36b",    "phone": {      "countryCode": "34",      "number": "666111333"    },    "pocketId": "e108f9c3-c3ae-4c43-b2fb-7ac04c2f12f6",    "senderName": "Satoshi Nakamoto",    "status": "accepted",    "statusChanges": [      {        "author": "965d26e4-6447-4dc0-a510-72bcca37f510",        "created": "2024-01-01T00:00:00.000Z",        "newStatus": "waiting-funds",        "reason": "Order created"      }    ],    "type": "email",    "userId": "cb3795e1-8a1f-47e4-a9ce-d42a1a31785a",    "walletMovementId": "965d26e4-6447-4dc0-a510-72bcca37f510"  }]